Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client.cache.memcached
Interface MemcachedCacheEntryFactory

All Known Implementing Classes:
  MemcachedCacheEntryFactoryImpl

    public interface MemcachedCacheEntryFactory

Creates `MemcachedCacheEntry` instances that can be used for serializing and deserializing `HttpCacheEntry` instances for storage in memcached.

Method Summary
`MemcachedCacheEntry` | `getMemcachedCacheEntry(String storageKey, HttpCacheEntry entry)` Creates a new `MemcachedCacheEntry` for storing the given `HttpCacheEntry` under the given storage key.
`MemcachedCacheEntry` | `getUnsetCacheEntry()` Creates an "unset" `MemcachedCacheEntry` ready to accept a serialized representation via `MemcachedCacheEntry.set(byte[])` and deserialize it into a storage key and a `HttpCacheEntry`.

Method Detail

### getMemcachedCacheEntry

    MemcachedCacheEntry getMemcachedCacheEntry(String storageKey,
                                               HttpCacheEntry entry)

  Creates a new `MemcachedCacheEntry` for storing the given `HttpCacheEntry` under the given storage key. Since we are hashing storage keys into cache keys to accommodate limitations in memcached's key space, it is possible to have cache collisions. Therefore, we store the storage key along with the `HttpCacheEntry` so it can be compared on retrieval and thus detect collisions.

  Parameters:
    `storageKey` - storage key under which the entry will be logically stored
    `entry` - the cache entry to store
  Returns:
    a `MemcachedCacheEntry` ready to provide a serialized representation

### getUnsetCacheEntry

    MemcachedCacheEntry getUnsetCacheEntry()

  Creates an "unset" `MemcachedCacheEntry` ready to accept a serialized representation via `MemcachedCacheEntry.set(byte[])` and deserialize it into a storage key and a `HttpCacheEntry`.

  Returns:
    `MemcachedCacheEntry`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.